Overview
POST/system/server-bagsystem

Create a server-bag entry (admin)

Create a record in server-bag.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • keystring
  • valueany

    Arbitrary JSON value

  • descriptionoptionalstring
Example
{
  "key": "string",
  "value": {},
  "description": "string"
}
Responses
201

Created entry

  • keystring
  • valueany

    Arbitrary JSON value

  • descriptionstring
  • createdAtstring
  • updatedAtstring
Example
{
  "key": "string",
  "value": {},
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/system/server-bag" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "key": "string",
  "value": {},
  "description": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/server-bag", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"key\": \"string\",\n  \"value\": {},\n  \"description\": \"string\"\n}",
});
const data = await res.json();